#ifndef __BG_H__
#define __BG_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "lib/gba.h"

//---------------------------------------------------------------------------
#define BG_MAX_CNT				4


//---------------------------------------------------------------------------
typedef struct {
	u32  mapBase;
	u16* mapBaseAdr;
	u32  tileBase;
	u16* tileBaseAdr;
} ST_BG;


//---------------------------------------------------------------------------
IWRAM_CODE void BgInit(void);
IWRAM_CODE void BgInitLcd(void);
IWRAM_CODE void Bg0Init(void);

IWRAM_CODE void BgPrintf(s32 x, s32 y, char* format, ...);


#ifdef __cplusplus
}
#endif
#endif
