#include "lib/gba.h"
#include "irq_arm.h"
#include "bg.h"
#include "dump.h"

//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
IWRAM_CODE int main(void)
{
	REG_WSCNT = 0x4018;

	IrqInit();
	BgInit();

	DumpInit();

	for(;;)
	{
		VBlankIntrWait();

		DumpExec();
	}
}
